Skip to main content
GET
/
api
/
v1
/
local-directory-configs
/
{app_id}
Get
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.LocalDirectoryConfig.Get(ctx, operations.C1APILocalDirectoryV1LocalDirectoryConfigServiceGetRequest{
        AppID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.LocalDirectoryConfigServiceGetResponse != nil {
        // handle response
    }
}
{
  "localDirectoryConfig": {
    "allowSelfRegistration": true,
    "appId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "defaultProfileTypeId": "<string>",
    "displayName": "<string>",
    "invitationTtl": "<string>",
    "isDefault": true,
    "onboardingFlowId": "<string>",
    "organizationId": "<string>",
    "selfRegistrationDomains": [
      "<string>"
    ],
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

Response

200 - application/json

Successful response

The LocalDirectoryConfigServiceGetResponse message.

localDirectoryConfig
Local Directory Config · object

LocalDirectoryConfig is the public representation of a C1-managed local directory configuration. The underlying directory infrastructure is provided by the linked App (identified by app_id).